<?php
/**
 * @package   akeebabackup
 * @copyright Copyright (c)2006-2021 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

/** @var $this \Akeeba\Component\AkeebaBackup\Administrator\View\Controlpanel\HtmlView */

// Protect from unauthorized access
defined('_JEXEC') || die();

?>

<?= $this->loadAnyTemplate('ControlPanel/warnings') ?>

<?php // Main area ?>
<div class="container">
	<div class="row">
		<?php // LEFT COLUMN (66% desktop width) ?>
		<div class="col col-12 col-lg-8">
			<?php // Active profile switch ?>
			<?= $this->loadAnyTemplate('ControlPanel/profile') ?>

			<?php //  One Click Backup icons ?>
			<?php if( ! (empty($this->quickIconProfiles)) && $this->permissions['backup']): ?>
				<?= $this->loadAnyTemplate('ControlPanel/oneclick') ?>
			<?php endif ?>

			<?php //  Basic operations ?>
			<?= $this->loadAnyTemplate('ControlPanel/icons_basic') ?>

			<?php //  Core Upgrade ?>
			<?= $this->loadAnyTemplate('ControlPanel/upgrade') ?>

			<?php //  Troubleshooting ?>
			<?= $this->loadAnyTemplate('ControlPanel/icons_troubleshooting') ?>

			<?php //  Advanced operations ?>
			<?= $this->loadAnyTemplate('ControlPanel/icons_advanced') ?>

			<?php //  Include / Exclude data ?>
			<?php if($this->permissions['configure']): ?>
				<?= $this->loadAnyTemplate('ControlPanel/icons_includeexclude') ?>
			<?php endif ?>
		</div>
		<?php //  RIGHT COLUMN (33% desktop width) ?>
		<div class="col-12 col-lg-4">
			<?php //  Status Summary ?>
			<?= $this->loadAnyTemplate('ControlPanel/sidebar_status') ?>

			<?php //  Backup stats ?>
			<?= $this->loadAnyTemplate('ControlPanel/sidebar_backup') ?>
		</div>
	</div>

	<div class="row">
		<div class="col">
			<?php //  Footer ?>
			<?= $this->loadAnyTemplate('ControlPanel/footer') ?>
		</div>
	</div>
</div>

<?php //  Usage statistics collection IFRAME ?>
<?php if ($this->statsIframe): ?>
    <?= $this->statsIframe ?>
<?php endif ?>
